Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
PUT

Update an event

Scope: crm:events.write https://api.alladdin.com/api/v2/events/{eventId}

Updates an existing CRM event. All fields are optional — only provided fields are updated.
The response returns the event id.

Parameters

Path parameters

eventId string required

Event ID (24-char hex ObjectId)

Request body

object name string

Event name

user_id string | null

Owner user ID

contact_id string | null

Associated contact ID

contact_name string | null

Contact display name

kind string | null

Activity type key (e.g. call, meeting, task)

description string | null

Event description

start_date string<date-time>

Start date and time of the event in local time, without timezone offset (e.g. 2026-04-01T09:00:00 for 9am). Date only also accepted (e.g. 2026-04-01).

end_date string<date-time> | null

End date and time of the event in local time, without timezone offset (e.g. 2026-04-01T10:00:00 for 10am). Preferred over duration. Date only also accepted (e.g. 2026-04-01).

duration integer | null

Duration in seconds (used if end_date is not provided, default 3600)

status integer | null

Event status (0 = pending, 1 = completed)

tags[] string[] | null

List of tag names

lead_id string | null

Associated deal/lead ID

location string | null

Event location

participants[] object[] | null

List of participants/invitees to add to the event

email string<email> required

Participant email address

name string | null optional

Participant display name

Request

python
import requests

url = "https://api.alladdin.com/api/v2/events/{eventId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "name": "string",
    "user_id": "string",
    "contact_id": "string",
    "contact_name": "string",
    "kind": "string",
    "description": "string",
    "start_date": "2024-01-15T10:30:00Z",
    "end_date": "2024-01-15T10:30:00Z",
    "duration": 0,
    "status": 0,
    "tags": [
        "string"
    ],
    "lead_id": "string",
    "location": "string",
    "participants": [
        {
            "email": "[email protected]",
            "name": "string"
        }
    ]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "string"
}

Success responses

200 Event updated application/json object id string

Error responses

400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Event not found application/json 422 Validation error application/json 429 Rate limit exceeded application/json

← PreviousCreate an event →

Next →List all events →